Create an employee

Creates an employee.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

Bulk Create Employees

This endpoint also supports bulk creation of employees. You can pass in a json array of employees in the body of the request.

Body Params
string

Employee's first name

string

Employee's middle name, if available

string
required

Employee's last name

string

Employee's email address

date

Employee's date of birth. Until dob is added, it will show up as a blocking employee onboard step.

residence
object

Employee residence used for calculating state income taxes. Until residence is added, it will show up as a blocking employee onboard step. You may not unset residence once it is set.

mailing_address
object | null

Mailing address for paper correspondence. Separate from the employee's residence and not used for tax calculations. Pass null to clear. When creating a new mailing address, line1, city, state, and postal_code are required.

string
required

ID of employee's company

date

Most recent start date of employment. Until start date is added, it will show up as a blocking employee onboard step.

date

Most recent date of employment termination. Must be null, or on or after start_date, which must be set. To rehire, send termination_date: null with the new start_date. See Start and termination dates.

string

ID of employee's net pay split

workplaces
array of strings
required

IDs of workplaces where the employee works. Optionally, an empty list can be passed in and workplaces can be added after employee creation. Until the workplaces are added, this will show up as a blocking step in the onboarding status.

workplaces*
string

The Workplace ID of the employee's primary workplace.

string

Employee's TIN (usually their Social Security Number). Must be unique across all employees in a company. Only the last four digits of an SSN will be made available in ssn_last_four after being set.

string

Either "direct_deposit" or "manual", default null

boolean
Defaults to true

Indicates whether the employee is currently employed. Used only for filtering, except that active: false with start_date: null cancels an employee who never started. See Start and termination dates.

json

Additional loosely structured information to associate with the employee

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json